Get all documents
curl --request GET \
--url https://api.example.com/api/v0/documentsimport requests
url = "https://api.example.com/api/v0/documents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "string",
"folder_id": {},
"file_path": {},
"file_type": "string",
"file_url": {},
"summary": "string",
"visibility": "string",
"version": 123,
"owner_id": 123,
"created_at": "string",
"updated_at": "string",
"tags": [
"string"
]
}
]
Documents
Get all documents
Retrieves a list of all visible documents in the system.
GET
/
api
/
v0
/
documents
Get all documents
Get all documents
Retrieves a list of all visible documents in the system.Query Parameters
string
The ID of the folder to filter documents by.
string
The name of the tag to filter documents by.
string
The ID of the owner to filter documents by.
Response
object
The response data for this endpoint.
[
{
"id": 123,
"name": "string",
"folder_id": {},
"file_path": {},
"file_type": "string",
"file_url": {},
"summary": "string",
"visibility": "string",
"version": 123,
"owner_id": 123,
"created_at": "string",
"updated_at": "string",
"tags": [
"string"
]
}
]
⌘I